Bug 55231 - Initscripts do not load sound mixer settings
Initscripts do not load sound mixer settings
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-27 16:56 EDT by Need Real Name
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-04 01:46:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
modules.conf (421 bytes, text/plain)
2001-10-27 16:57 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-10-27 16:56:56 EDT
Description of Problem:
When booting into Enigma, the mixer settings are not loaded from
/etc/.aumixrc, resulting in volume being at maximum.  This problem did not
occur with Seawolf.


Version-Release number of selected component (if applicable):
6.40-1

How Reproducible:
Always.

Steps to Reproduce:
1. Reboot machine.

Actual Results:
mixer settings are at maximum.

Expected Results:
Mixer set to values in /etc/.aumixrc

Additional Information:
Comment 1 Need Real Name 2001-10-27 16:57:47 EDT
Created attachment 35267 [details]
modules.conf
Comment 2 Need Real Name 2001-10-27 17:00:22 EDT
Sound card is a PNP AWE64.
Comment 3 Need Real Name 2001-10-27 17:24:41 EDT
The fix appears to be to change the line in modules.conf to read

post-install sb ... 

instead of 

post-install sound-slot-0
Comment 4 John McCarthy 2001-12-04 01:46:52 EST
I have the same problem except in my case (Compaq Armada 7800 laptop) the result
is feedback between the mike and speakers. My sound card is an ESS ES1879 which
also uses the sb driver
module.

The real problem is in rc.sysinit at lines 442-444.  It is looking up the alias
for sound-slot-0 and then loading the module by calling modprobe with the alias
name (sb in both our cases).  Unfortunately, as jaco_botha@hotmail.com noted,
the post-install and pre-remove lines in /etc/modules.conf that cause
aumix-minimal to be called are for sound-slot-0 and don't get called for a
modprobe of sb.
I believe the correct fix is to change line 444 of rc.sysinit to modprobe
sound-slot-0 instead of the alias name.  This will work for any sound driver,
not just the sb driver.  I've made this change and it works great for me.

Incidentally the same thing is done for the sound alias in lines 437-441.  I
suspect this should also
modprobe the sound name instead of the alias but don't think it causes any
problems currently.

Cheers, John McCarthy.
Comment 5 Bill Nottingham 2002-01-25 00:08:56 EST
Will be fixed in 6.51-1, thanks!

Note You need to log in before you can comment on or make changes to this bug.